- name: Configure geoipupdate
  become: true
  ansible.builtin.template:
    src: etc/GeoIP.conf.j2
    dest: /etc/GeoIP.conf
    owner: root
    group: root
    mode: "0644"
    backup: true

- name: Register cron job for geoipupdate
  become: true
  ansible.builtin.cron:
    name: "Update GeoIP"
    special_time: "{{ geoip_cron_job }}"
    job: "/usr/bin/geoipupdate"
